Loading...
Searching...
No Matches
eastasianwidthdata.c File Reference
`#include "eastasianwidthdef.h"`
Include dependency graph for eastasianwidthdata.c:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

bool | ub_is_op_east_asian (utf32_t ch)
| Returns whether an OP (Open Punctuation) is East Asian.

## Function Documentation

## ub_is_op_east_asian()

bool ub_is_op_east_asian | ( | utf32_t | ch | ) |

Returns whether an OP (Open Punctuation) is East Asian.

For the purpose of supporting LB30, being "east asian" here means the char has East_Asian_Width Property F/W/H.

Parameters

  ch | Unicode codepoint (must be an OP)

Returns
  it is east asian or not